Skip to content

Account details order state change
Webhook

Request

The event contains information about the order state and requirement state. Triggered when there is a change in the state of an account details order.

  • Event type: account-details-order#order-state-change
  • Profile level subscriptions: Not Supported
  • Application level subscriptions: Supported

Possible values for an order:

  • PENDING_USER: One or more requirements has some pending action from the user.
  • PENDING_TW: One or more requirements has some pending action from Wise.
  • REQUIREMENTS_FULFILLED: All requirements are completed and pending account details to be created.
  • DONE: All requirements are completed and account details has also been created.
Create account details order statuses transition diagram

Most common requirements:

  • VERIFICATION: The user needs to be fully verified before completing this requirement.

Events may not be delivered in the order they occurred. Use data.modification_time to reconcile the order. See the Event ordering guide for details.

See the Webhooks guide for setup instructions, signature verification, and best practices.

Headers
X-Signature-SHA256string

RSA-SHA256 signature of the request body, Base64 encoded. Verify this against the Wise public key to ensure the request is authentic and has not been tampered with.

Example:t7FMhk3OARMgwqz0LJXO...
X-Delivery-Idstring, (uuid)

Unique identifier for this webhook delivery attempt.

Example:a1b2c3d4-e5f6-7890-abcd-ef1234567890
X-Test-Notificationboolean

Present with the value true if this is a test notification sent to verify your callback URL during subscription setup.

Example:true
Bodyapplication/json
schema_versionstring

Version of the event schema. Determined by the schema_version on your webhook subscription.

Value:"4.0.0"
Example:"4.0.0"
Discriminator
subscription_idstring, (uuid)

ID of the webhook subscription that triggered this event.

Example:"01989c58-7171-7276-9a4c-c9b4cefc0897"
event_typestring

Event type identifier

Example:"account-details-order#order-state-change"
sent_atstring, (date-time)

Timestamp when the event was sent.

Example:"2025-08-08T07:49:31.123Z"
dataobject
Payload
{ "schema_version": "4.0.0", "subscription_id": "01989c58-7171-7276-9a4c-c9b4cefc0897", "event_type": "account-details-order#order-state-change", "sent_at": "2025-08-08T07:49:31.123Z", "data": { "creation_time": "2025-08-08T07:49:27.456Z", "currency": "CAD", "is_account_details_issued": false, "modification_time": "2025-08-08T07:49:30.789Z", "order_id": "01989c58-45e4-71dd-9373-7d999e992f99", "order_status": "REQUIREMENTS_FULFILLED", "profile_id": 28835473, "requirements": [ {} ] } }

Responses

Return any 2xx status to acknowledge receipt of the event.

Bodyapplication/json
statusstring
Example:"ok"
Response
{ "status": "ok" }